<?php
/**
 * Send email on comment for K2
 *
 * @package Send email on comment for K2
 * @author Marc Oliveras <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2018 Oligalma All rights reserved
 * @license GPL License v3
 */

// no direct access
defined('_JEXEC') or die ;

// Load the K2 Plugin API
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.'/components/com_k2/lib/k2plugin.php');

$app = &JFactory::getApplication();
if($app->isSite()):

// Initiate class to hold plugin events
class plgK2Send_Email_On_Comment_For_K2 extends K2Plugin
{
	function onK2AfterDisplay(&$item, &$params, $limitstart)
	{
		$plugin = JPluginHelper::getPlugin('k2', 'send_email_on_comment_for_K2');
		$pluginParams = new JRegistry($plugin->params);  
	
		$config = JFactory::getConfig();

		if(isset($_GET['commentsent']) && $pluginParams->get('adminemail') != '')
		{
		      $to = $pluginParams->get('adminemail');
		      $title = 'You have a new K2 comment';
		      $message = 'You have a new K2 comment. Log in to your Joomla administrator to check it.';
		      $headers = 'From: ' . $config->get('sitename') . ' <noreply@' . $_SERVER['SERVER_NAME'] . '>\r\n';

		     mail($to, $title, $message, $headers);		    
		}

		$document = JFactory::getDocument();
		
		$document->addScriptDeclaration('
		jQuery(document).ready(function(){
		    jQuery("#comment-form").unbind("submit");
		    
		    jQuery("#comment-form").submit(function(event) {
			event.preventDefault();
			jQuery("#formLog").empty().addClass("formLogLoading");
			jQuery.ajax({
			    url: jQuery("#comment-form").attr("action"),
			    type: "post",
			    dataType: "json",
			    data: jQuery("#comment-form").serialize(),
			    success: function(response) {
				jQuery("#formLog").removeClass("formLogLoading").html(response.message);
				if (typeof(Recaptcha) != "undefined") {
				    Recaptcha.reload();
				}
				
				if (response.refresh) {
				    location.reload();
				}
				
				if(response.message == "' . JText::_('K2_COMMENT_ADDED_AND_WAITING_FOR_APPROVAL') . '")
				  ' . (isset($_GET['commentsent']) ? 'location.reload();' : 'window.location = window.location + "?commentsent";') . '
			    }
			});
		    });
		})
		');
	}
	
	function onK2BeforeDisplayContent(&$item, &$params, $limitstart)
	{
		$plugin = JPluginHelper::getPlugin('k2', 'send_email_on_comment_for_K2');
		$pluginParams = new JRegistry($plugin->params);  
		if($pluginParams->get('adminemail') == '')	
			return '<b style="color:red;font-size:16px;"><u>Admin email must be set in the "Send email on comment for K2" plugin.</b></u><br/><br/>';
		      
		if(isset($_GET['commentsent']) && $pluginParams->get('adminemail') != '')
			return '<b style="color:green;font-size:16px;">' . JText::_('K2_COMMENT_ADDED_AND_WAITING_FOR_APPROVAL') . '</b><br/><br/>';
	}
}

endif;
